GET
/v1/configurations
http://mq.{region}.amazonaws.com/v1/configurationsReturns a list of all configurations.
Access Token Required: API Key
Query Params
maxResultsinteger
The maximum number of brokers that Amazon MQ can return per page (20 by default). This value must be an integer from 5 to 100.
nextTokenstring
The token that specifies the next page of results Amazon MQ should return. To request the first page, leave nextToken empty.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://mq.{region}.amazonaws.com/v1/configurations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}